Debian Bug report logs - #690851
IPv6 DNS broken in gevent

version graph

Package: python-gevent; Maintainer for python-gevent is Laszlo Boszormenyi (GCS) <gcs@debian.org>; Source for python-gevent is src:python-gevent.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Thu, 18 Oct 2012 14:42:02 UTC

Severity: important

Tags: ipv6, patch

Found in version python-gevent/0.13.6-1

Fixed in versions python-gevent/1.0~b1-1, python-gevent/0.13.6-1+nmu1

Done: Michael Gilbert <mgilbert@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Örjan Persson <orange@fobie.net>:
Bug#690851; Package python-gevent. (Thu, 18 Oct 2012 14:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to Örjan Persson <orange@fobie.net>. (Thu, 18 Oct 2012 14:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.debian.org
Subject: IPv6 DNS broken in gevent
Date: Thu, 18 Oct 2012 16:39:25 +0200
[Message part 1 (text/plain, inline)]
Package: python-gevent
Version: 0.13.6-1
Severity: grave
Tags: patch

Dear maintainer,

as somewhere else upstream stated themselves (I have forgotten the URL  
where they did) that gevent.dns is somewhat completely broken in  
0.13.6 (which is based on libevent, and they say it is broken there),  
I recommend using 1.0b1 for wheezy instead.

I use python-gevent for python-x2go intensively and the performance is  
much better with 1.0b1 and stability has also improved (the used event  
library is libev now).

One issue is that IPv6 DNS resolution does not work with 0.13.6 at  
all. As the world moves towards IPv6 (esp. in non-US and non-European  
parts of the world) I consider this issue as somewhat grave.

Attached is a patch that tries to fix this behaviour for gevent  
0.13.6. The patch is not perfect, sometimes you have to wait quite  
long for name resolution of IPv6 addresses, but at the end they  
finally resolve. Much better would be a transition to 1.0b1 for wheezy  
(though the RT may not like this...).


Reproduce (IPv6-only host):
===========================
"""
mike@fylgja:~ python
Python 2.6.6 (r266:84292, Dec 26 2010, 22:31:48)
[GCC 4.4.5] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import gevent.socket
>>> gevent.socket.gethostbyname("minobo.das-netzwerkteam.de")
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/pymodules/python2.6/gevent/socket.py", line 683, in  
gethostbyname
    _ttl, addrs = resolve_ipv4(hostname)
  File "/usr/lib/pymodules/python2.6/gevent/dns.py", line 59, in resolve_ipv4
    raise DNSError(result)
gevent.dns.DNSError: [Errno 67] request timed out
"""

Should be:::
"""
mike@fylgja:~$ python
Python 2.6.6 (r266:84292, Dec 26 2010, 22:31:48)
[GCC 4.4.5] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import gevent
>>> import gevent.socket
>>> gevent.socket.gethostbyname("minobo.das-netzwerkteam.de")
'2001:6f8:900:e5d::2'
"""

Reproduce (IPv4/IPv6 host): (first request is IPv4, second request times out)
===========================
"""
mike@fylgja:~$ python
Python 2.6.6 (r266:84292, Dec 26 2010, 22:31:48)
[GCC 4.4.5] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import gevent.socket
>>> gevent.socket.gethostbyname("vidar.das-netzwerkteam.de")
'178.63.100.242'
>>> gevent.socket.gethostbyname("vidar.das-netzwerkteam.de")
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/pymodules/python2.6/gevent/socket.py", line 683, in  
gethostbyname
    _ttl, addrs = resolve_ipv4(hostname)
  File "/usr/lib/pymodules/python2.6/gevent/dns.py", line 59, in resolve_ipv4
    raise DNSError(result)
gevent.dns.DNSError: [Errno 67] request timed out
"""

Should be:::
"""
mike@fylgja:~$ python
Python 2.6.6 (r266:84292, Dec 26 2010, 22:31:48)
[GCC 4.4.5] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import gevent
>>> import gevent.socket
>>> gevent.socket.gethostbyname("vidar.das-netzwerkteam.de")
'2a01:4f8:121:5085:250:56ff:fe15:236e'
"""

With 1.0b1 the above tests work like a charm. With my provided patch  
applied to 0.13.6 it works, but with some serious time delays.

Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[gevent-ipv6-dns-workaround.patch (text/x-diff, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Marked as fixed in versions python-gevent/1.0~b1-1. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Thu, 01 Nov 2012 16:45:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Örjan Persson <orange@fobie.net>:
Bug#690851; Package python-gevent. (Mon, 12 Nov 2012 22:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Örjan Persson <orange@fobie.net>. (Mon, 12 Nov 2012 22:15:06 GMT) Full text and rfc822 format available.

Message #12 received at 690851@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 690851@bugs.debian.org
Subject: nmu
Date: Mon, 12 Nov 2012 17:12:29 -0500
[Message part 1 (text/plain, inline)]
Hi, I've uploaded an nmu fixing this issue.  Please see attached patch.

Best wishes,
Mike
[python-gevent.patch (application/octet-stream, attachment)]

Reply sent to Michael Gilbert <mgilbert@debian.org>:
You have taken responsibility. (Mon, 12 Nov 2012 22:21:05 GMT) Full text and rfc822 format available.

Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Mon, 12 Nov 2012 22:21:05 GMT) Full text and rfc822 format available.

Message #17 received at 690851-close@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 690851-close@bugs.debian.org
Subject: Bug#690851: fixed in python-gevent 0.13.6-1+nmu1
Date: Mon, 12 Nov 2012 22:17:58 +0000
Source: python-gevent
Source-Version: 0.13.6-1+nmu1

We believe that the bug you reported is fixed in the latest version of
python-gevent, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 690851@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Gilbert <mgilbert@debian.org> (supplier of updated python-gevent package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 12 Nov 2012 22:07:15 +0000
Source: python-gevent
Binary: python-gevent-dbg python-gevent-doc python-gevent
Architecture: source amd64 all
Version: 0.13.6-1+nmu1
Distribution: unstable
Urgency: medium
Maintainer: Örjan Persson <orange@fobie.net>
Changed-By: Michael Gilbert <mgilbert@debian.org>
Description: 
 python-gevent - gevent is a coroutine-based Python networking library
 python-gevent-dbg - gevent is a coroutine-based Python networking library - debugging
 python-gevent-doc - gevent is a coroutine-based Python networking library - documenta
Closes: 690851
Changes: 
 python-gevent (0.13.6-1+nmu1) unstable; urgency=medium
 .
   * Non-maintainer upload.
   * Fix IPV6 DNS handling (closes: #690851)
     - Patch thanks to Mike Gabriel.
Checksums-Sha1: 
 30ca5a076431288908b99065a4e135b4c0c89ac0 2752 python-gevent_0.13.6-1+nmu1.dsc
 8cad94cca3d3870139c42269ba32874c37d09d79 5661 python-gevent_0.13.6-1+nmu1.debian.tar.gz
 473e997e1f25a94758a62ee2873f2c3f5ce2e6fb 320060 python-gevent-dbg_0.13.6-1+nmu1_amd64.deb
 0a59ba0fad42cb20ee5025fc830101ac2110f88a 138040 python-gevent-doc_0.13.6-1+nmu1_all.deb
 e8434087991220452638d6a00f2345448d94fb10 232704 python-gevent_0.13.6-1+nmu1_amd64.deb
Checksums-Sha256: 
 f4556d7022137bbfa725db5e2d947bd3594d59226a3cdcafd29ef8f3d748dedc 2752 python-gevent_0.13.6-1+nmu1.dsc
 6989bb1ba3aecc41a8589176743e1b2eab4598b66e9da7f6ea1dc94ce92dc9c2 5661 python-gevent_0.13.6-1+nmu1.debian.tar.gz
 5e659edaa6a9909b6b0f532bc740ee05b6fd7b42c68ada002ac657f1c5cd89e9 320060 python-gevent-dbg_0.13.6-1+nmu1_amd64.deb
 b18a54b3d53c0758da9cab2f25f810acd6d1c85e6b71759e2c90978b23c23e50 138040 python-gevent-doc_0.13.6-1+nmu1_all.deb
 2ec478948c825e44518af76487df75c1e81a2af5b311ca94a24fb51432137942 232704 python-gevent_0.13.6-1+nmu1_amd64.deb
Files: 
 41e391a534f4d2e15553317aead76507 2752 python extra python-gevent_0.13.6-1+nmu1.dsc
 837094c65bca798b7b1d98e6ecbb92c1 5661 python extra python-gevent_0.13.6-1+nmu1.debian.tar.gz
 0a22de76c61efc1177463512d0a3f78f 320060 debug extra python-gevent-dbg_0.13.6-1+nmu1_amd64.deb
 23d9792fc4d9c2be7eb183d33665f435 138040 doc optional python-gevent-doc_0.13.6-1+nmu1_all.deb
 cd4f81d5638ba94a1fccee41e21fe361 232704 python extra python-gevent_0.13.6-1+nmu1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQQcBAEBCAAGBQJQoXOlAAoJELjWss0C1vRzGCQf/jXat3upNuT1pWOcHMTnmkwM
gQOo8BlxzLEeawGrpPfs4QAlmr7NVJib2GhmQhXAPj1EMRPk9+lsEwhv0YGGjKVn
Aw5Yntmb7HqekDexaDZw7RuGLw8CHAunzcUN+QVRRaZhIftU5xDRr+1x9eX2BZGP
qH1gkwpToflo2N0LP4IrG11UtCrziuzZcfA9/3XI4di7UkZru4dPViZ2V0wv6byH
y/XgvGUqhZCaIa3dGFj1G5FWGf1oRpwh/UpI6gEfV/EAZg5bVyN/Cke+DMJ7E1U2
oo8THSsLxItgpQP3FPN9tycHTJe5Sz5can9S0ps22in7qvY0FrEe9qHooi7suZKd
imwrxeWsgn8jQW9yAIn4Lr1s1Kw6cIlDInuLYOUiITY2NsGKsp0sUWoUreBTDcvx
Xkn1MKZS8aCH/ohkMhZZqFoQ5vqmPKrG0qK8dr6memde/oidc6qzygA/jth15A1G
vZkCRv2VBpMzg//+u6bya1NF02HDc/I30Ml8O7kAAArh1PViRYdHRUXUZ5E3F8Z2
A/e3Q7I6vUM2o+uGVDE1tFy1L3TQT0ZoXRs3ve34cUb2/UCJDGuxG/s5sDNXbNqc
B0zPWF+bAYrlZTtpu9toXzqz+skFOGIesu7hkQp9NtbDemgVVRtIy7kfxI2arlgI
nD/pLydpEbbCp7Wg+2ROf3dUe9eYZxI7Kc7HfN2LidK4isMQa6+BOf7mOIW4Qc8Q
Ony4q0K3eqRQixfAiqpKsjOCfzCfymqG8CU31J5dXxdZF6qyUniSuVwTUvTY+Kgy
iVAnBI0hac5tWcLI5RfyAgnNVRijlN836xu6Pr6fUML/EwqlQpcf4FGFRcyjzAPl
6UGcIEAIlGaxEgBD0Du3k0+Rkbz4/uRQMajej5Bvppt7rYcCCRj+2NIAD2ZTBERv
fmoxUxg4lqEtXxlaKlnN04kpQGXyAenFYMuTNDz9mwCvgDzcVPKuYN1QvBUCgT9L
gKK29Y6HEInJB4LEUwdckDz9x8I/n50Fq/rMs+kEIJ6jx3V6iJ09TedmfTQ7kBlO
rKCv0g8N8VyGAewZmUA/dHqFPfxlvoAQJR1xX5Mx9vKQj8PzvxLrP8y74CSAJbmh
npWeyPj4NBiRHWPE3Y9XZNvmiHUQti57FdxomZrAYbkpZHn+CEq2O02RyJJjAHZo
Y/tXsxn8riBVAfmzYijejX2JymEvbbBzPJC3X+GuU66H/QI0jeL4murlHHnSsSH4
yEdYMRMGWhWZM8uTuZOrpNcGjpxX6mwbR+g35dFsGFOa5t8DTrLq/6FIRJCV8dEy
bnRlAbtnHE6nuu/EvQmPfgBI2GQfns0qVVzGJKvwFh6EY429WAxa2BQNoOmZiTE=
=oLdZ
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Örjan Persson <orange@fobie.net>:
Bug#690851; Package python-gevent. (Sun, 25 Nov 2012 14:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominik George <nik@naturalnet.de>:
Extra info received and forwarded to list. Copy sent to Örjan Persson <orange@fobie.net>. (Sun, 25 Nov 2012 14:45:06 GMT) Full text and rfc822 format available.

Message #22 received at 690851@bugs.debian.org (full text, mbox):

From: Dominik George <nik@naturalnet.de>
To: 690851@bugs.debian.org
Cc: control@bugs.debian.org, Michael Gilbert <michael.s.gilbert@gmail.com>, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Subject: Code review
Date: Sun, 25 Nov 2012 15:43:01 +0100 (CET)
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

severity 690851 important
kthxbye

Hi,

in the ocurse of the BSP Essen I took a close look at this report and the 
proposed patch.

First of all, I am downgrading the severity of the bug to important to 
remove it from the RC list. The background is that the changes are most 
likely not trivial enough to get a freeze exception for wheezy and the 
issue is not critical enough to justify it as RC.

Looking at the code, I have a few questions:

        addrs = None
        try:
            _ttl, addrs = resolve_ipv4(hostname)
        except:
            _ttl, addrs = resolve_ipv6(hostname)

Is preferring IPv4 over IPv6 the expected behaviour? It diverts from the 
normal behaviour of other code.

            if ipv4_res is not None:
                for res in ipv4_res:

(et al), this looks the same as what was there before, but it is a bug. 
The ipv4_res could be False, which is also not iterable.

    if ipv4_res:

would be better, proper exception handling would be best.

- -nik
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.19 (GNU/Linux)

iQFOBAEBAgA4BQJQsi5oMRpodHRwczovL3d3dy5kb21pbmlrLWdlb3JnZS5kZS9n
cGctcG9saWN5LnR4dC5hc2MACgkQWfyOHW8qgAFMMwf/ewJ0odjq3dca2c2ZT8vv
6kPOwtGCn8Zfv6fUuhoYibQ2fR8AHcRViV0Juq3H5p0XIB47Nkoiy9YZQhgy5tx4
+LJsSFgGoSOjl2wXB4hVEQaYLCU75t1D7KZapYl6TR+7RR6tvtbV67sf4RI646B2
gerXzRyz2ARTvv5qjlscjiAJIJpo6n5dIDfiQ7IrowtdWWoWQw/B/l0XNhFkyMFU
3wwID7ecHtfGYrXwFvI0Lu0dp3niul2TN3BDZyyhKXCTKYVR+XXDCwv+QGLD8sbX
ctXutuxac3jsfX6/38PnSD1T5vU3xndQwQV8AV4bu48358ANSttG94uPDOv3LRJx
rg==
=d1cd
-----END PGP SIGNATURE-----



Severity set to 'important' from 'grave' Request was from Dominik George <nik@naturalnet.de> to control@bugs.debian.org. (Sun, 25 Nov 2012 14:45:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Örjan Persson <orange@fobie.net>:
Bug#690851; Package python-gevent. (Sun, 25 Nov 2012 19:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to Örjan Persson <orange@fobie.net>. (Sun, 25 Nov 2012 19:57:05 GMT) Full text and rfc822 format available.

Message #29 received at 690851@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Dominik George <nik@naturalnet.de>
Cc: 690851@bugs.debian.org, control@bugs.debian.org, Michael Gilbert <michael.s.gilbert@gmail.com>
Subject: Re: Code review
Date: Sun, 25 Nov 2012 20:53:06 +0100
[Message part 1 (text/plain, inline)]
Hi Nik,

On So 25 Nov 2012 15:43:01 CET Dominik George wrote:

> in the ocurse of the BSP Essen I took a close look at this report and the
> proposed patch.
>
> First of all, I am downgrading the severity of the bug to important to
> remove it from the RC list. The background is that the changes are most
> likely not trivial enough to get a freeze exception for wheezy and the
> issue is not critical enough to justify it as RC.

ACK.

> Looking at the code, I have a few questions:
>
>         addrs = None
>         try:
>             _ttl, addrs = resolve_ipv4(hostname)
>         except:
>             _ttl, addrs = resolve_ipv6(hostname)
>
> Is preferring IPv4 over IPv6 the expected behaviour? It diverts from the
> normal behaviour of other code.

Nope, normally preferring IPv6 over IPv4 is the default. However, the  
patch introduces IPv6 functionality, but it with the current patch:

  o resolve_ipv4 gets called
  o waits for DNS timout if the address is IPv6-only
  o resolve_ipv6 gets called

Shifting the order around (calling resolve_ipv6, then resolve_ipv4)  
will result in a IPv6 DNS timeout whenever a hostname is to be resolved.

>             if ipv4_res is not None:
>                 for res in ipv4_res:
>
> (et al), this looks the same as what was there before, but it is a bug.
> The ipv4_res could be False, which is also not iterable.
>
>     if ipv4_res:
>
> would be better, proper exception handling would be best.


Probably yes, however, if that patch will not make it into wheezy  
anyway, then the package maintainer should get upstream's libev  
rewrite of gevent into Debian unstable (1.0~b1), so it is available  
for other distros that pull packages in from Debian unstable.

Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Örjan Persson <orange@fobie.net>:
Bug#690851; Package python-gevent. (Sun, 25 Nov 2012 20:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Örjan Persson <orange@fobie.net>. (Sun, 25 Nov 2012 20:30:05 GMT) Full text and rfc822 format available.

Message #34 received at 690851@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 690851@bugs.debian.org
Subject: Re: Code review
Date: Sun, 25 Nov 2012 15:28:17 -0500
On Sun, Nov 25, 2012 at 2:53 PM, Mike Gabriel wrote:
>>             if ipv4_res is not None:
>>                 for res in ipv4_res:
>>
>> (et al), this looks the same as what was there before, but it is a bug.
>> The ipv4_res could be False, which is also not iterable.
>>
>>     if ipv4_res:
>>
>> would be better, proper exception handling would be best.
>
>
>
> Probably yes, however, if that patch will not make it into wheezy anyway,
> then the package maintainer should get upstream's libev rewrite of gevent
> into Debian unstable (1.0~b1), so it is available for other distros that
> pull packages in from Debian unstable.

Important bugs still qualify for unblocks:
http://release.debian.org/wheezy/freeze_policy.html

So, if you can fix up that issue in the patch, we can do another
upload and ask for an unblock.

Best wishes,
Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Örjan Persson <orange@fobie.net>:
Bug#690851; Package python-gevent. (Mon, 26 Nov 2012 13:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominik George <nik@naturalnet.de>:
Extra info received and forwarded to list. Copy sent to Örjan Persson <orange@fobie.net>. (Mon, 26 Nov 2012 13:27:09 GMT) Full text and rfc822 format available.

Message #39 received at 690851@bugs.debian.org (full text, mbox):

From: Dominik George <nik@naturalnet.de>
To: Michael Gilbert <mgilbert@debian.org>
Cc: 690851@bugs.debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, control@bugs.debian.org
Subject: Re: Code review
Date: Mon, 26 Nov 2012 14:25:24 +0100 (CET)
severity 690851 normal
kthxbye

Michael,

first of all, you are replying to a post I made. *Please* do not remove me 
from Cc, then!

Now, back on topic:

> So, if you can fix up that issue in the patch, we can do another
> upload and ask for an unblock.

I still do not think this should be done. This would be a Debian-specific 
patch for something that is really an upstream issue *and* has been fixed 
upstream in a new version.

-nik



Severity set to 'normal' from 'important' Request was from Dominik George <nik@naturalnet.de> to control@bugs.debian.org. (Mon, 26 Nov 2012 13:27:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Örjan Persson <orange@fobie.net>:
Bug#690851; Package python-gevent. (Tue, 27 Nov 2012 01:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Örjan Persson <orange@fobie.net>. (Tue, 27 Nov 2012 01:36:03 GMT) Full text and rfc822 format available.

Message #46 received at 690851@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: Dominik George <nik@naturalnet.de>
Cc: 690851@bugs.debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Subject: Re: Code review
Date: Mon, 26 Nov 2012 20:33:00 -0500
control: severity -1 important

On Mon, Nov 26, 2012 at 8:25 AM, Dominik George wrote:
>> So, if you can fix up that issue in the patch, we can do another
>> upload and ask for an unblock.
>
> I still do not think this should be done. This would be a Debian-specific
> patch for something that is really an upstream issue *and* has been fixed
> upstream in a new version.

Please do not play severity ping pong.  Those qualities have nothing
to do with whether something is release-worthy.  Debian carries plenty
of patches that are backports from upstream.

If Mike fixes the flaw in his patch, he has the right to fight for its
inclusion since it fixes a part of the package that's quite broken
now.

Best wishes,
Mike



Severity set to 'important' from 'normal' Request was from Michael Gilbert <mgilbert@debian.org> to 690851-submit@bugs.debian.org. (Tue, 27 Nov 2012 01:36:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Örjan Persson <orange@fobie.net>:
Bug#690851; Package python-gevent. (Wed, 28 Nov 2012 13:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to Örjan Persson <orange@fobie.net>. (Wed, 28 Nov 2012 13:39:06 GMT) Full text and rfc822 format available.

Message #53 received at 690851@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Michael Gilbert <mgilbert@debian.org>
Cc: Dominik George <nik@naturalnet.de>, 690851@bugs.debian.org
Subject: Re: Code review
Date: Wed, 28 Nov 2012 14:36:16 +0100
[Message part 1 (text/plain, inline)]
Hi all,

On Di 27 Nov 2012 02:33:00 CET Michael Gilbert wrote:

> If Mike fixes the flaw in his patch, he has the right to fight for its
> inclusion since it fixes a part of the package that's quite broken
> now.

Note: I am not upstream of python-gevent, I am not sure, if that is  
clear to everyone.

I currently have not time to fix that patch. I still recommend  
switching to gevent 1.0~b1, though I am aware of the release team not  
accepting new upstream releases in packages at this state of the freeze.

So, my recommendation is to use the patch as is or add a note about  
broken IPv6 in the wheezy version.

Due to other priorities here I choose not work on this any further.

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#690851; Package python-gevent. (Fri, 30 Nov 2012 17:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Örjan Persson <orange@fobie.net>:
Extra info received and forwarded to list. (Fri, 30 Nov 2012 17:54:03 GMT) Full text and rfc822 format available.

Message #58 received at 690851@bugs.debian.org (full text, mbox):

From: Örjan Persson <orange@fobie.net>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 690851@bugs.debian.org
Cc: Michael Gilbert <mgilbert@debian.org>, Dominik George <nik@naturalnet.de>
Subject: Re: Bug#690851: Code review
Date: Fri, 30 Nov 2012 18:40:07 +0100
[Message part 1 (text/plain, inline)]
Mike Gabriel (mike.gabriel@das-netzwerkteam.de) wrote:
> I currently have not time to fix that patch. I still recommend
> switching to gevent 1.0~b1, though I am aware of the release team
> not accepting new upstream releases in packages at this state of the
> freeze.

I don't think that would be the most awesome idea. There's quite a few
bugs that are present in beta1 and some API incompatible changes.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) ipv6. Request was from Dominik George <nik@naturalnet.de> to control@bugs.debian.org. (Mon, 03 Dec 2012 22:57:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Mar 2013 07:26:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:49:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.